Package fr.gouv.vitam.logbook.common.client

# Enum Class ErrorMessage

java.lang.Object
java.lang.Enum<ErrorMessage>
fr.gouv.vitam.logbook.common.client.ErrorMessage

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorMessage>`, `Constable`

public enum ErrorMessage extends Enum<ErrorMessage>
Error Message for Logbook

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INTERNAL_SERVER_ERROR`
  Logbook (operation or lifecycle) internal server error
  `LOGBOOK_ALREADY_EXIST`
  Logbook (operation or lifecycle) already exists so cannot be created
  `LOGBOOK_MISSING_MANDATORY_PARAMETER`
  Logbook (operation or lifecycle) is missing some mandatory parameters
  `LOGBOOK_NOT_FOUND`
  Logbook (operation or lifecycle) does not exists so cannot be updated or read

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `static ErrorMessage`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ErrorMessage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOGBOOK_ALREADY_EXIST

    public static final ErrorMessage LOGBOOK_ALREADY_EXIST
    Logbook (operation or lifecycle) already exists so cannot be created

  - ### LOGBOOK_NOT_FOUND

    public static final ErrorMessage LOGBOOK_NOT_FOUND
    Logbook (operation or lifecycle) does not exists so cannot be updated or read

  - ### LOGBOOK_MISSING_MANDATORY_PARAMETER

    public static final ErrorMessage LOGBOOK_MISSING_MANDATORY_PARAMETER
    Logbook (operation or lifecycle) is missing some mandatory parameters

  - ### INTERNAL_SERVER_ERROR

    public static final ErrorMessage INTERNAL_SERVER_ERROR
    Logbook (operation or lifecycle) internal server error

- ## Method Details

  - ### values

    public static ErrorMessage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ErrorMessage valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMessage

    public String getMessage()
    Returns:
      the associated message